## r-cran-shinycssloaders 0.3

=== DESCRIPTION ===
Package: shinycssloaders
Type: Package
Title: Add CSS Loading Animations to 'shiny' Outputs
Version: 0.3
Authors@R: c(
    person("Andras","Sali",email="andras.sali@alphacruncher.hu",role=c("aut"),comment="Original creator of shinycssloaders package"),
    person("Luke","Hass",role=c("ctb","cph"),comment="Author of included CSS loader code"),
    person("Dean","Attali",email="daattali@gmail.com",role=c("aut","cre"),comment="Creator of Shiny-wrapper code")
    )
Description: Automatically show loader animations while a Shiny output is (re)calculating. This is mostly a wrapper around the css-loaders created by Luke Hass <https://github.com/lukehaas/css-loaders>.
License: GPL-3
URL: https://github.com/andrewsali/shinycssloaders
BugReports: https://github.com/andrewsali/shinycssloaders/issues
Depends: R (>= 3.1)
Imports: digest, glue, grDevices, shiny
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2020-01-14 22:40:30 UTC; Oriane
Author: Andras Sali [aut] (Original creator of shinycssloaders package),
  Luke Hass [ctb, cph] (Author of included CSS loader code),
  Dean Attali [aut, cre] (Creator of Shiny-wrapper code)
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2020-01-16 17:50:02 UTC

## r-cran-shinycssloaders 0.2.0

=== debian/changelog ===
r-cran-shinycssloaders (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #924626)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Mar 2019 07:58:14 +0100

=== debian/control ===
Source: r-cran-shinycssloaders
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-glue,
               r-cran-shiny
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinycssloaders
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinycssloaders.git
Homepage: https://cran.r-project.org/package=shinycssloaders

Package: r-cran-shinycssloaders
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: add CSS loading animations to 'shiny' outputs in GNU R
 Create a lightweight Shiny wrapper for the css-loaders created by Luke
 Hass <https://github.com/lukehaas/css-loaders>. Wrapping a Shiny output
 will automatically show a loader when the output is (re)calculating.

## r-cran-shinycssloaders 0.3

=== debian/changelog ===
r-cran-shinycssloaders (0.3-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 12:03:56 +0200

r-cran-shinycssloaders (0.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:31:36 +0100

r-cran-shinycssloaders (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 12:15:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-digest,
                r-cran-glue,
                r-cran-shiny
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinycssloaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinycssloaders.git
 Homepage: https://cran.r-project.org/package=shinycssloaders
+Rules-Requires-Root: no
 
 Package: r-cran-shinycssloaders
 Architecture: all

## r-cran-shinycssloaders 1.0.0

=== DESCRIPTION ===
Package: shinycssloaders
Type: Package
Title: Add Loading Animations to a 'shiny' Output While It's
        Recalculating
Version: 1.0.0
Authors@R: c(
    person("Andras","Sali",email="andras.sali@alphacruncher.hu",role=c("aut"),comment="Original creator of shinycssloaders package"),
    person("Luke","Hass",role=c("ctb","cph"),comment="Author of included CSS loader code"),
    person("Dean","Attali",email="daattali@gmail.com",role=c("aut","cre"),comment="Maintainer of shinycssloaders since 2019")
    )
Description: When a 'Shiny' output (such as a plot, table, map, etc.) is recalculating, it remains 
    visible but gets greyed out. Using 'shinycssloaders', you can add a loading animation ("spinner")
    to outputs instead. By wrapping a 'Shiny' output in 'withSpinner()', a spinner will automatically
    appear while the output is recalculating. See the demo online at
    <https://daattali.com/shiny/shinycssloaders-demo/>.
License: MIT + file LICENSE
URL: https://github.com/daattali/shinycssloaders
BugReports: https://github.com/daattali/shinycssloaders/issues
Depends: R (>= 3.1)
Imports: digest, glue, grDevices, shiny
Suggests: shinydisconnect, shinyjs
RoxygenNote: 7.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-07-28 15:50:54 UTC; D
Author: Andras Sali [aut] (Original creator of shinycssloaders package),
  Luke Hass [ctb, cph] (Author of included CSS loader code),
  Dean Attali [aut, cre] (Maintainer of shinycssloaders since 2019)
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2020-07-28 16:20:03 UTC

=== debian/changelog ===
r-cran-shinycssloaders (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 13:53:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,

## r-cran-shinycssloaders 1.1.0

=== DESCRIPTION ===
Package: shinycssloaders
Title: Add Loading Animations to a 'shiny' Output While It's
        Recalculating
Version: 1.1.0
Authors@R: c(
    person("Dean","Attali",email="daattali@gmail.com",role=c("aut","cre"),
        comment = c("Maintainer/developer of shinycssloaders since 2019", ORCID="0000-0002-5645-3493")),
    person("Andras","Sali",email="andras.sali@alphacruncher.hu",role=c("aut"),comment="Original creator of shinycssloaders package"),
    person("Luke","Hass",role=c("ctb","cph"),comment="Author of included CSS loader code")
    )
Description: When a 'Shiny' output (such as a plot, table, map, etc.) is recalculating, it remains 
    visible but gets greyed out. Using 'shinycssloaders', you can add a loading animation ("spinner")
    to outputs instead. By wrapping a 'Shiny' output in 'withSpinner()', a spinner will automatically
    appear while the output is recalculating. You can also manually show and hide the spinner, or add
    a full-page spinner to cover the entire page.
    See the demo online at <https://daattali.com/shiny/shinycssloaders-demo/>.
License: MIT + file LICENSE
URL: https://github.com/daattali/shinycssloaders,
        https://daattali.com/shiny/shinycssloaders-demo/
BugReports: https://github.com/daattali/shinycssloaders/issues
Depends: R (>= 3.1)
Imports: digest, glue, grDevices, htmltools (>= 0.3.5), shiny
Suggests: knitr, shinydisconnect, shinyjs
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-07-30 18:52:48 UTC; Dean
Author: Dean Attali [aut, cre] (Maintainer/developer of shinycssloaders since
    2019, <https://orcid.org/0000-0002-5645-3493>),
  Andras Sali [aut] (Original creator of shinycssloaders package),
  Luke Hass [ctb, cph] (Author of included CSS loader code)
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2024-07-30 22:30:02 UTC

=== debian/changelog ===
r-cran-shinycssloaders (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update d/copyright following upstream licence change (GPL -> MIT).

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Feb 2025 15:14:39 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                r-base-dev,
                r-cran-digest,
                r-cran-glue,
+               r-cran-htmltools,
                r-cran-shiny
-Standards-Version: 4.5.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinycssloaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinycssloaders.git
 Homepage: https://cran.r-project.org/package=shinycssloaders

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/shinycssloaders_([-\d.]*)\.tar\.gz
